/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.bigquery.model;

import com.google.api.client.json.GenericJson;

/**
 * Model definition for JobConfigurationTableCopy.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the BigQuery API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class JobConfigurationTableCopy extends GenericJson {

  /**
   * [Optional] Whether or not to create a new table, if none exists.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String createDisposition;

  /**
   * [Required] The destination table
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private TableReference destinationTable;

  /**
   * [Required] Source table to copy.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private TableReference sourceTable;

  /**
   * [Optional] Whether or not to append or require the table to be empty.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String writeDisposition;

  /**
   * [Optional] Whether or not to create a new table, if none exists.
   * The value returned may be {@code null}.
   */
  public String getCreateDisposition() {
    return createDisposition;
  }

  /**
   * [Optional] Whether or not to create a new table, if none exists.
   * The value set may be {@code null}.
   */
  public JobConfigurationTableCopy setCreateDisposition(String createDisposition) {
    this.createDisposition = createDisposition;
    return this;
  }

  /**
   * [Required] The destination table
   * The value returned may be {@code null}.
   */
  public TableReference getDestinationTable() {
    return destinationTable;
  }

  /**
   * [Required] The destination table
   * The value set may be {@code null}.
   */
  public JobConfigurationTableCopy setDestinationTable(TableReference destinationTable) {
    this.destinationTable = destinationTable;
    return this;
  }

  /**
   * [Required] Source table to copy.
   * The value returned may be {@code null}.
   */
  public TableReference getSourceTable() {
    return sourceTable;
  }

  /**
   * [Required] Source table to copy.
   * The value set may be {@code null}.
   */
  public JobConfigurationTableCopy setSourceTable(TableReference sourceTable) {
    this.sourceTable = sourceTable;
    return this;
  }

  /**
   * [Optional] Whether or not to append or require the table to be empty.
   * The value returned may be {@code null}.
   */
  public String getWriteDisposition() {
    return writeDisposition;
  }

  /**
   * [Optional] Whether or not to append or require the table to be empty.
   * The value set may be {@code null}.
   */
  public JobConfigurationTableCopy setWriteDisposition(String writeDisposition) {
    this.writeDisposition = writeDisposition;
    return this;
  }

}
