/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.bigquery.model;

import com.google.api.client.json.GenericJson;
import com.google.api.client.json.JsonString;

/**
 * Model definition for JobStatistics3.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the BigQuery API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class JobStatistics3 extends GenericJson {

  /**
   * [Output-only] Number of bytes of source data in a joad job.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key @JsonString
  private Long inputFileBytes;

  /**
   * [Output-only] Number of source files in a load job.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key @JsonString
  private Long inputFiles;

  /**
   * [Output-only] Size of the loaded data in bytes. Note that while an import job is in the running
   * state, this value may change.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key @JsonString
  private Long outputBytes;

  /**
   * [Output-only] Number of rows imported in a load job. Note that while an import job is in the
   * running state, this value may change.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key @JsonString
  private Long outputRows;

  /**
   * [Output-only] Number of bytes of source data in a joad job.
   * The value returned may be {@code null}.
   */
  public Long getInputFileBytes() {
    return inputFileBytes;
  }

  /**
   * [Output-only] Number of bytes of source data in a joad job.
   * The value set may be {@code null}.
   */
  public JobStatistics3 setInputFileBytes(Long inputFileBytes) {
    this.inputFileBytes = inputFileBytes;
    return this;
  }

  /**
   * [Output-only] Number of source files in a load job.
   * The value returned may be {@code null}.
   */
  public Long getInputFiles() {
    return inputFiles;
  }

  /**
   * [Output-only] Number of source files in a load job.
   * The value set may be {@code null}.
   */
  public JobStatistics3 setInputFiles(Long inputFiles) {
    this.inputFiles = inputFiles;
    return this;
  }

  /**
   * [Output-only] Size of the loaded data in bytes. Note that while an import job is in the running
   * state, this value may change.
   * The value returned may be {@code null}.
   */
  public Long getOutputBytes() {
    return outputBytes;
  }

  /**
   * [Output-only] Size of the loaded data in bytes. Note that while an import job is in the running
   * state, this value may change.
   * The value set may be {@code null}.
   */
  public JobStatistics3 setOutputBytes(Long outputBytes) {
    this.outputBytes = outputBytes;
    return this;
  }

  /**
   * [Output-only] Number of rows imported in a load job. Note that while an import job is in the
   * running state, this value may change.
   * The value returned may be {@code null}.
   */
  public Long getOutputRows() {
    return outputRows;
  }

  /**
   * [Output-only] Number of rows imported in a load job. Note that while an import job is in the
   * running state, this value may change.
   * The value set may be {@code null}.
   */
  public JobStatistics3 setOutputRows(Long outputRows) {
    this.outputRows = outputRows;
    return this;
  }

}
