/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.bigquery.model;

import com.google.api.client.json.GenericJson;
import com.google.api.client.json.JsonString;

/**
 * Model definition for TableDataList.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the BigQuery API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class TableDataList extends GenericJson {

  /**
   * A hash of this page of results.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String etag;

  /**
   * The resource type of the response.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * A token used for paging results. Providing this token instead of the startRow parameter can
   * help you retrieve stable results when an underlying table is changing.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String pageToken;

  /**
   * Rows of results.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<TableRow> rows;

  static {
    // hack to force ProGuard to consider TableRow used, since otherwise it would be stripped out
    // see http://code.google.com/p/google-api-java-client/issues/detail?id=528
    com.google.api.client.util.Data.nullOf(TableRow.class);
  }

  /**
   * The total number of rows in the complete table.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key @JsonString
  private Long totalRows;

  /**
   * A hash of this page of results.
   * The value returned may be {@code null}.
   */
  public String getEtag() {
    return etag;
  }

  /**
   * A hash of this page of results.
   * The value set may be {@code null}.
   */
  public TableDataList setEtag(String etag) {
    this.etag = etag;
    return this;
  }

  /**
   * The resource type of the response.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * The resource type of the response.
   * The value set may be {@code null}.
   */
  public TableDataList setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * A token used for paging results. Providing this token instead of the startRow parameter can
   * help you retrieve stable results when an underlying table is changing.
   * The value returned may be {@code null}.
   */
  public String getPageToken() {
    return pageToken;
  }

  /**
   * A token used for paging results. Providing this token instead of the startRow parameter can
   * help you retrieve stable results when an underlying table is changing.
   * The value set may be {@code null}.
   */
  public TableDataList setPageToken(String pageToken) {
    this.pageToken = pageToken;
    return this;
  }

  /**
   * Rows of results.
   * The value returned may be {@code null}.
   */
  public java.util.List<TableRow> getRows() {
    return rows;
  }

  /**
   * Rows of results.
   * The value set may be {@code null}.
   */
  public TableDataList setRows(java.util.List<TableRow> rows) {
    this.rows = rows;
    return this;
  }

  /**
   * The total number of rows in the complete table.
   * The value returned may be {@code null}.
   */
  public Long getTotalRows() {
    return totalRows;
  }

  /**
   * The total number of rows in the complete table.
   * The value set may be {@code null}.
   */
  public TableDataList setTotalRows(Long totalRows) {
    this.totalRows = totalRows;
    return this;
  }

}
